ArrayInstruction (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.generic

## Class ArrayInstruction

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.ArrayInstruction

- All Implemented Interfaces:
    Cloneable, ExceptionThrower, TypedInstruction
  Direct Known Subclasses:
    AALOAD, AASTORE, BALOAD, BASTORE, CALOAD, CASTORE, DALOAD, DASTORE, FALOAD, FASTORE, IALOAD, IASTORE, LALOAD, LASTORE, SALOAD, SASTORE

      public abstract class ArrayInstruction
      extends Instruction
      implements ExceptionThrower, TypedInstruction

  Super class for instructions dealing with array access such as IALOAD.

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ArrayInstruction(short opcode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>[]` | `getExceptions()`
    `Type` | `getType(ConstantPoolGen cp)`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, hashCode, initFromFile, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayInstruction

          protected ArrayInstruction(short opcode)

      Parameters:
        `opcode` - of instruction

  - ### Method Detail

    - #### getExceptions

          public Class<?>[] getExceptions()

      Specified by:
        `getExceptions` in interface `ExceptionThrower`

    - #### getType

          public Type getType(ConstantPoolGen cp)

      Specified by:
        `getType` in interface `TypedInstruction`
      Returns:
        type associated with the instruction

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.